# SequenceInfo (onnxruntime 1.15.0 API)

Package ai.onnxruntime

## Class SequenceInfo

- java.lang.Object
- - ai.onnxruntime.SequenceInfo

All Implemented Interfaces:
  `ValueInfo`

    public class SequenceInfo
    extends java.lang.Object
    implements ValueInfo

Describes an `OnnxSequence`, including it's element type if known.

### Field Summary

Fields
`int` `length` The number of elements in this sequence.
`MapInfo` `mapInfo` The type of the map if it contains a map, null otherwise.
`boolean` `sequenceOfMaps` Is this a sequence of maps.
`OnnxJavaType` `sequenceType` The type of the sequence if it does not contain a map, `OnnxJavaType.UNKNOWN` if it does.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isSequenceOfMaps()` Is this a sequence of maps?
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sequenceOfMaps

    public final boolean sequenceOfMaps

Is this a sequence of maps.

#### sequenceType

    public final OnnxJavaType sequenceType

The type of the sequence if it does not contain a map, `OnnxJavaType.UNKNOWN` if it does.

#### mapInfo

    public final MapInfo mapInfo

The type of the map if it contains a map, null otherwise.

#### length

    public final int length

The number of elements in this sequence.

### Method Detail

#### isSequenceOfMaps

    public boolean isSequenceOfMaps()

Is this a sequence of maps?

Returns:
  True if it's a sequence of maps.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`